Cooper80
Contributor
Contributor

VCenter 4.0 migration to 4.1 on new server - database upgrade problem

Jump to solution

Hello,

I am attempting to migrate from a 32-bit W2K3 server running vCenter 4.0 to 4.1 on a new W2K8 R2 server.

The servers have different hostnames and IP addresses.

The datamigration tool ran on the existing server and recorded the relevant config issue. I have run it on the new server and it recognises that there is migration data and launches the installer. This will go through the first few steps and successfully connects to the SQL 2005 db (which is on a separate machine) through the DSN. It then produces an error:

"vCenter server does not support upgrading database of version 2.5u5 or below. Please upgrade the database to a supported version and try again".

So, the vCenter database is in an old "format"??

How can I upgrade it manually?

Many thanks

P

0 Kudos
1 Solution

Accepted Solutions
AndreTheGiant
Immortal
Immortal

Welcome to the community.

The DB of vCenter 4.0 is different than 2.5, so sound strange.

Check the DSN configuration to be sure if you are pointing on the correct DB.

Andre

Andre | http://about.me/amauro | http://vinfrastructure.it/ | @Andrea_Mauro

View solution in original post

0 Kudos
3 Replies
AndreTheGiant
Immortal
Immortal

Welcome to the community.

The DB of vCenter 4.0 is different than 2.5, so sound strange.

Check the DSN configuration to be sure if you are pointing on the correct DB.

Andre

Andre | http://about.me/amauro | http://vinfrastructure.it/ | @Andrea_Mauro

View solution in original post

0 Kudos
Cooper80
Contributor
Contributor

Hi Andre,

Thanks for the reply, it's appreciated.

I just checked my DSNs, and found that the one I created does indeed seem to have been pointing at the wrong db - an old test VDI db from years ago.

So, it looks like schoolboy error on my part. Will re-run the upgrade tonight and confirm.

P

0 Kudos
Cooper80
Contributor
Contributor

Yep, that was the problem alright - had pointed the DSN at a similarly named but long defunct 2.5 db.

All sorted and migration to 4.1 successful. 

0 Kudos